"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1117e1e40>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1117e1ee0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1117e1f80>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2020>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1117e20c0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2160>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2200>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1117e22a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2340>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1117e23e0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2480>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2520>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1117e25c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2660>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2700>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1117e27a0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2840>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1117e28e0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2980>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2a20>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2ac0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2b60>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2c00>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2ca0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2d40>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2de0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2e80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2f20>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1117e2fc0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3060>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3100>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1117e31a0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3240>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1117e32e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3380>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3420>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1117e34c0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3560>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3600>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1117e36a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3740>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1117e37e0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3880>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3920>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1117e39c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3a60>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3b00>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3ba0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3c40>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3ce0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3d80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3e20>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3ec0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1117e3f60>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4040>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x115ad40e0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4180>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4220>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x115ad42c0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4360>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4400>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x115ad44a0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4540>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x115ad45e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4680>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4720>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x115ad47c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4860>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4900>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x115ad49a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4a40>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4ae0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4b80>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4c20>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4cc0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4d60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4e00>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4ea0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4f40>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x115ad4fe0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x115ad5120>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x115ad5080>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x115ad51c0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x115ad5260>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x115ad5300>)]
name: str = 'fr_HOCCN'
